.blockcart-modal .modal-dialog {
    pointer-events: none;
    position: absolute;
    width: auto;
    top: 0;
    right: 0;
    margin: 0;
    max-width: 380px;
    height: 100vh;
    overflow: hidden;
}

.blockcart-modal .modal-header{
    height: 60px;
    max-height: 60px;
}

.blockcart-modal .modal-body {
    padding: 0;
    overflow-y: auto;
    height: calc(100vh - 60px); 
}

.modal-content{
    border-radius: 0;
    border: none;
}

.blockcart-modal .modal-footer {
    padding: 1rem 0;
}